%define major           7
%define libname         %mklibname webp %{major}
%define devname         %mklibname webp -d

%define mux_major       3
%define muxlibname      %mklibname webpmux %{mux_major}

%define demux_major     2
%define demuxlibname    %mklibname webpdemux %{demux_major}

%define decoder_major   3
%define decoderlibname  %mklibname webpdecoder %{decoder_major}

%define sharpyuv_major  0
%define sharpyuvlibname %mklibname sharpyuv %{sharpyuv_major}

# comment out when not pre-release
#define prel rc2

%define rel 1

Name:           libwebp
Version:        1.3.2
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Library and tools for the WebP graphics format
Group:          Development/Other
License:        BSD
URL:            https://webmproject.org/
Source0:        http://downloads.webmproject.org/releases/webp/%{name}-%{version}%{?prel:-%{prel}}.tar.xz

BuildRequires:  giflib-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig(freeglut)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  swig

%description
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

%package tools
Group:          Development/Other
Summary:        The WebP command line tools

%description tools
Command line tools for the WebP image format.

%package -n     %{libname}
Group:          System/Libraries
Summary:        Library for the WebP format

%description -n %{libname}
Shared library for the WebP image format.

%package -n     %{muxlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for muxing

%description -n %{muxlibname}
Shared library for the WebP image format with support for muxing.

%package -n     %{demuxlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for demuxing

%description -n %{demuxlibname}
Shared library for the WebP image format with support for demuxing.

%package -n     %{decoderlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for decoding

%description -n %{decoderlibname}
Shared library for the WebP image format with support for decoding.

%package -n     %{sharpyuvlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for sharpyuv

%description -n %{sharpyuvlibname}
Shared library for the WebP image format with support for sharpyuv.

%package -n     %{devname}
Group:          Development/Libraries
Summary:        Development files for libwebp, a library for the WebP format
Requires:       %{libname} = %{version}-%{release}
Requires:       %{muxlibname} = %{version}-%{release}
Requires:       %{demuxlibname} = %{version}-%{release}
Requires:       %{decoderlibname} = %{version}-%{release}
Requires:       %{sharpyuvlibname} = %{version}-%{release}
Provides:       webp-devel = %{version}-%{release}

%description -n %{devname}
Development headers and libraries for the WebP libraries.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%{prel}}

%build
autoreconf -vfi
%configure2_5x \
  --disable-static \
  --enable-libwebpmux \
  --enable-libwebpdemux \
  --enable-libwebpdecoder \

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files tools
%{_bindir}/*webp*
%{_mandir}/man1/*webp*.1.*

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{muxlibname}
%{_libdir}/%{name}mux.so.%{mux_major}{,.*}

%files -n %{demuxlibname}
%{_libdir}/%{name}demux.so.%{demux_major}{,.*}

%files -n %{decoderlibname}
%{_libdir}/%{name}decoder.so.%{decoder_major}{,.*}

%files -n %{sharpyuvlibname}
%{_libdir}/libsharpyuv.so.%{sharpyuv_major}{,.*}

%files -n %{devname}
%{_libdir}/%{name}.so
%{_libdir}/%{name}mux.so
%{_libdir}/%{name}demux.so
%{_libdir}/%{name}decoder.so
%{_libdir}/libsharpyuv.so
%{_includedir}/webp/
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/pkgconfig/libsharpyuv.pc


%changelog
* Wed Sep 20 2023 tex - 1.3.2-1pclos2023
- new version: 1.3.2
